Subject: RE: [bmwg] RFC 3222

From: "TROTTER,GUY (A-Canada,ex1)" <[email-masked]>
Date: Tue, 8 Jan 2002 17:55:39 -0700

Hi Gurpreet,

You raise a good question - and one that is not restricted to just RFC 3222.

Certainly, if you wish, you can utilize two ports to measure the impact of a
FIB on the performance of a router.  Such results, however, should indicate
that two ports were used to measure the performance of a router.

However, when using the appropriate methodologies and terminologies to
discover the boundaries of a router's performance, a heavier load of traffic
needs to be utilized.

For example, the switching "fabric" within a router will not be stressed if
only two ports are utilized in the test.  To discover the performance limits
of a router, a test that fully exercises the switching fabric (i.e., by
switching packets from any interface to any other interface) is needed.

By fully stressing the switching fabric, the performance impact of the FIB
can be more accurately discerned.

Guy

> -----Original Message-----
> From: Singh, Gurpreet [mailto:[email-masked]]
> Sent: January 4, 2002 11:20 AM
> To: [email-masked]'
> Subject: [bmwg] RFC 3222
> 
> 
> Hi
> 
> Refering to RFC 3222 Section 2.0
> 
> "The FIB-dependent throughput, latency and frame loss rate 
> (6.3, 6.4, 6.5),
> measured with fully meshed traffic flows [2], will reflect 
> the change in
> performance of the router."
> Why the throughput,latency and frame loss rate need to be 
> measured for a
> fully meshed network.
> Is it possible to achieve the same through the following ?
>    A ----  DUT ------ B
> B can advertise the routes to DUT (Device Under Test) and then A sends
> traffic to once of the destinations to measure throughput and latency.
> Is there any advantage of having moe nodes directly connected 
> to DUT and
> advertising routes to DUT (to manipulate the FIB size) ? or 
> just one node as
> B is enough to do that.
> 
> Thanks
> Gurpreet
> 
> 
> 
> 
> 
> 
> 
> _______________________________________________
> bmwg mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/bmwg
> 

_______________________________________________
bmwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/bmwg